<form [formGroup]="form" (ngSubmit)="onSubmit()"
  class="col-md-6 offset-md-3">
  <div class="form-group row">
    <label class="col">
      Email
      <input type="email" class="form-control"
        formControlName="username">
    </label>
  </div>
  <div class="col alert alert-danger" role="alert"
    *ngIf="form.hasError('invalidusername', ['username']) &&
      form.get('username').touched">
    Invalid Username!
  </div>
  <div formGroupName="pw">
    <div class="form-group row">
      <label class="col">
        Password
        <input type="password" class="form-control"
          formControlName="password">
      </label>
    </div>
    <div class="form-group row">
      <label class="col">
        Confirm Password
        <input type="password" class="form-control"
          formControlName="confirmPassword">
      </label>
    </div>
   
  </div>
  <div class="form-group row">
    <label class="col">
       Mr Cuong Handsome, Yes/No? type Yes to enable button submit
      <input ngModel required type="custome" class="form-control"
        formControlName="custome">
    </label>
  </div>
  <div class="col alert alert-danger" role="alert"
  *ngIf="form.controls.custome?.errors?.required  && form.controls.custome?.touched">
  Name is required!
</div>
  <div class="form-group">
    <button [disabled] = "isDisable" class="btn btn-info" type="submit">Submit</button>
  </div>
</form>